For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
    • FeedAMP Order Source
          • GETOAuth Authorization
          • POSTAccess Token
LogoLogo
RESTFeedAMP Order SourceAuthentication

Access Token

POST
https://marketplace-order-api.feedamp.feedonomics.com/api/v1/access_token
POST
/api/v1/access_token
$curl -X POST https://marketplace-order-api.feedamp.feedonomics.com/api/v1/access_token \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "grant_type": "refresh_token",
> "client_id": "string",
> "client_secret": "string"
>}'
1{
2 "access_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxIiwibmFtZSI6IkZlZWRhbXAiLCJpYXQiOjF9._p278gl45T7hITPuson9KEiE-SMYwms3q-2DbAgiev8",
3 "token_type": "Bearer",
4 "refresh_token": "CLIENT_REFRESH_TOKEN",
5 "expires_in": 3600
6}

Get a new access token for a specific seller using a one-time authorization code or a valid refresh token

Was this page helpful?
Previous

OAuth Authorization

Next

Get Orders

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
grant_typeenumRequired

The type of grant used for the request. If authorization_code is used, the authorization code must be sent via the code parameter. If refresh_token is used, the refresh token must be sent via the refresh_token parameter

Allowed values:
client_idstringRequired
The account id given to you by Feedonomics as part of the onboarding process
client_secretstringRequired

A password associated with your client_id, given to you by Feedonomics as part of the onboarding process

codestringOptional

Single-use authorization code, for requesting new tokens using the authorization_code grant type

refresh_tokenstringOptional

A refresh_token obtained by a previous call to the POST /access_token endpoint, for requesting new tokens using the refresh_token grant type

Response

Authorization token
access_tokenstring
Authentication token used for making requests to insert or update orders
token_typeenum
The Oauth token type
Allowed values:
refresh_tokenstring

The token used to obtain new access and refresh tokens using the refresh_token endpoint

expires_ininteger

The lifetime in seconds of the access_token

Errors

401
Unauthorized Error